summaryrefslogtreecommitdiffstats
path: root/system/ibam/ibam.SlackBuild
diff options
context:
space:
mode:
author Antonio Hernández Blas2010-05-13 00:40:38 +0200
committer David Somero2010-05-13 00:40:38 +0200
commit30b0025afd64fd888d68ce826fd9bd65402310f2 (patch)
tree58e567f8451eb2c33fef8608a950af64c7bcdb23 /system/ibam/ibam.SlackBuild
parenta5ca3494f5129ff3a0b83fbf26928a0c4b944b08 (diff)
downloadslackbuilds-30b0025afd64fd888d68ce826fd9bd65402310f2.tar.gz
system/ibam: Updated for version 0.5.2
Diffstat (limited to 'system/ibam/ibam.SlackBuild')
-rw-r--r--system/ibam/ibam.SlackBuild18
1 files changed, 10 insertions, 8 deletions
diff --git a/system/ibam/ibam.SlackBuild b/system/ibam/ibam.SlackBuild
index 47276ccd50..ad5f0b1015 100644
--- a/system/ibam/ibam.SlackBuild
+++ b/system/ibam/ibam.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for ibam
-# Copyright (c) 2008, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# Copyright (c) 2008-2009 Antonio Hernández Blas <hba.nihilismus@gmail.com>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -22,7 +22,7 @@
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ibam
-VERSION=${VERSION:-0.5.1}
+VERSION=${VERSION:-0.5.2}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -38,6 +38,7 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -60,18 +61,19 @@ find . \
sed -i 's/^CFLAGS=-O3/CFLAGS+=/' Makefile
CFLAGS="$SLKCFLAGS" make
+# Install binary by hand
+# This is the only binary to package so there's no
+# need to worry about $LIBDIRSUFFIX
+install -D -m 0755 $PRGNAM $PKG/usr/bin/$PRGNAM
+
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
-# Install binary by hand
-install -D -m 0755 $PRGNAM $PKG/usr/bin/$PRGNAM
-
# There's no manpages
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a REPORT README CHANGES $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -80,4 +82,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}